<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jeeplus.business.notify.mapper.PluginNotifyUserMapper">

    <resultMap id="BaseResultMap" type="com.jeeplus.business.notify.service.dto.PluginNotifyUserDTO">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="createBy.id" column="create_by" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_date" jdbcType="TIMESTAMP"/>
            <result property="updateBy.id" column="update_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_date" jdbcType="TIMESTAMP"/>
            <result property="delFlag" column="del_flag" jdbcType="INTEGER"/>
            <result property="remarks" column="remarks" jdbcType="VARCHAR"/>
            <result property="userId" column="user_id" jdbcType="VARCHAR"/>
            <result property="notifyId" column="notify_id" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Users_Column_List">
        pnu.id,
        pnu.create_by_id,
        pnu.create_time,
        pnu.update_by_id,
        pnu.update_time,
        pnu.del_flag,
        pnu.remarks,
        pnu.user_id,
        pnu.notify_id
    </sql>
</mapper>
